package net.minecraft.client.renderer.block.model.multipart;

import java.util.function.Predicate;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.state.StateDefinition;

@FunctionalInterface
public interface Condition {
    public static final Condition TRUE = byk -> byj -> 1;
    public static final Condition FALSE = byk -> byj -> 0;
    
    Predicate<BlockState> getPredicate(final StateDefinition<Block, BlockState> byk);
}
