package net.minecraft.client.renderer.blockentity;

import net.minecraft.client.renderer.MultiBufferSource;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.world.level.block.entity.BlockEntity;

public abstract class BlockEntityRenderer<T extends BlockEntity> {
    protected final BlockEntityRenderDispatcher renderer;
    
    public BlockEntityRenderer(final BlockEntityRenderDispatcher dsq) {
        this.renderer = dsq;
    }
    
    public abstract void render(final T bwl, final float float2, final PoseStack cyl, final MultiBufferSource dqt, final int integer5, final int integer6);
    
    public boolean shouldRenderOffScreen(final T bwl) {
        return false;
    }
}
