package net.minecraft.world;

import javax.annotation.Nullable;
import net.minecraft.world.item.ItemStack;
import net.minecraft.core.Direction;

public interface WorldlyContainer extends Container {
    int[] getSlotsForFace(final Direction fp);
    
    boolean canPlaceItemThroughFace(final int integer, final ItemStack ben, @Nullable final Direction fp);
    
    boolean canTakeItemThroughFace(final int integer, final ItemStack ben, final Direction fp);
}
