package net.minecraft.world.item;

import javax.annotation.Nullable;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class GameMasterBlockItem extends BlockItem {
    public GameMasterBlockItem(final Block bph, final Properties a) {
        super(bph, a);
    }
    
    @Nullable
    @Override
    protected BlockState getPlacementState(final BlockPlaceContext bcq) {
        final Player ayj3 = bcq.getPlayer();
        return (ayj3 == null || ayj3.canUseGameMasterBlocks()) ? super.getPlacementState(bcq) : null;
    }
}
