package net.minecraft.world.item.crafting;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public class BlastingRecipe extends AbstractCookingRecipe {
    public BlastingRecipe(final ResourceLocation sm, final String string, final Ingredient bgt, final ItemStack ben, final float float5, final int integer) {
        super(RecipeType.BLASTING, sm, string, bgt, ben, float5, integer);
    }
    
    @Override
    public ItemStack getToastSymbol() {
        return new ItemStack(Blocks.BLAST_FURNACE);
    }
    
    @Override
    public RecipeSerializer<?> getSerializer() {
        return RecipeSerializer.BLASTING_RECIPE;
    }
}
