package net.minecraft.world.item.crafting;

import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public abstract class CustomRecipe implements CraftingRecipe {
    private final ResourceLocation id;
    
    public CustomRecipe(final ResourceLocation sm) {
        this.id = sm;
    }
    
    @Override
    public ResourceLocation getId() {
        return this.id;
    }
    
    @Override
    public boolean isSpecial() {
        return true;
    }
    
    @Override
    public ItemStack getResultItem() {
        return ItemStack.EMPTY;
    }
}
