package net.minecraft.world.level.block;

import java.util.List;
import net.minecraft.world.level.storage.loot.LootContext;
import net.minecraft.world.item.ItemStack;
import javax.annotation.Nullable;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.Level;

public class PlayerWallHeadBlock extends WallSkullBlock {
    protected PlayerWallHeadBlock(final Properties c) {
        super(SkullBlock.Types.PLAYER, c);
    }
    
    @Override
    public void setPlacedBy(final Level bjw, final BlockPos fk, final BlockState byj, @Nullable final LivingEntity akz, final ItemStack ben) {
        Blocks.PLAYER_HEAD.setPlacedBy(bjw, fk, byj, akz, ben);
    }
    
    @Override
    public List<ItemStack> getDrops(final BlockState byj, final LootContext.Builder a) {
        return Blocks.PLAYER_HEAD.getDrops(byj, a);
    }
}
