package net.minecraft.world.level.block.state.properties;

import net.minecraft.util.StringRepresentable;

public enum DoubleBlockHalf implements StringRepresentable {
    UPPER, 
    LOWER;
    
    @Override
    public String toString() {
        return this.getSerializedName();
    }
    
    @Override
    public String getSerializedName() {
        return (this == DoubleBlockHalf.UPPER) ? "upper" : "lower";
    }
}
