package net.minecraft.world.level.storage.loot.parameters;

import net.minecraft.resources.ResourceLocation;

public class LootContextParam<T> {
    private final ResourceLocation name;
    
    public LootContextParam(final ResourceLocation sm) {
        this.name = sm;
    }
    
    public ResourceLocation getName() {
        return this.name;
    }
    
    @Override
    public String toString() {
        return "<parameter " + this.name + ">";
    }
}
