package net.minecraft.world.phys;

import net.minecraft.world.entity.Entity;

public class EntityHitResult extends HitResult {
    private final Entity entity;
    
    public EntityHitResult(final Entity akq) {
        this(akq, akq.position());
    }
    
    public EntityHitResult(final Entity akq, final Vec3 cvl) {
        super(cvl);
        this.entity = akq;
    }
    
    public Entity getEntity() {
        return this.entity;
    }
    
    @Override
    public Type getType() {
        return Type.ENTITY;
    }
}
