package net.minecraft.world.phys;

public abstract class HitResult {
    protected final Vec3 location;
    
    protected HitResult(final Vec3 cvl) {
        this.location = cvl;
    }
    
    public abstract Type getType();
    
    public Vec3 getLocation() {
        return this.location;
    }
    
    public enum Type {
        MISS, 
        BLOCK, 
        ENTITY;
    }
}
