package net.minecraft.server.packs.resources;

import net.minecraft.util.Unit;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.Executor;
import net.minecraft.util.profiling.ProfilerFiller;

public interface ResourceManagerReloadListener extends PreparableReloadListener {
    default CompletableFuture<Void> reload(final PreparationBarrier a, final ResourceManager zb, final ProfilerFiller aio3, final ProfilerFiller aio4, final Executor executor5, final Executor executor6) {
        return a.<Unit>wait(Unit.INSTANCE).thenRunAsync(() -> this.onResourceManagerReload(zb), executor6);
    }
    
    void onResourceManagerReload(final ResourceManager zb);
}
