package net.minecraft.world.entity;

import net.minecraft.network.chat.TranslatableComponent;
import net.minecraft.network.chat.Component;

public enum HumanoidArm {
    LEFT((Component)new TranslatableComponent("options.mainHand.left", new Object[0])), 
    RIGHT((Component)new TranslatableComponent("options.mainHand.right", new Object[0]));
    
    private final Component name;
    
    private HumanoidArm(final Component lf) {
        this.name = lf;
    }
    
    public HumanoidArm getOpposite() {
        if (this == HumanoidArm.LEFT) {
            return HumanoidArm.RIGHT;
        }
        return HumanoidArm.LEFT;
    }
    
    @Override
    public String toString() {
        return this.name.getString();
    }
}
