package net.minecraft.world.entity.ai.behavior;

import net.minecraft.world.entity.raid.Raid;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.server.level.ServerLevel;

public class LocateHidingPlaceDuringRaid extends LocateHidingPlace {
    public LocateHidingPlaceDuringRaid(final int integer, final float float2) {
        super(integer, float2, 1);
    }
    
    @Override
    protected boolean checkExtraStartConditions(final ServerLevel xd, final LivingEntity akz) {
        final Raid azn4 = xd.getRaidAt(new BlockPos(akz));
        return super.checkExtraStartConditions(xd, akz) && azn4 != null && azn4.isActive() && !azn4.isVictory() && !azn4.isLoss();
    }
}
