package net.minecraft.world.item;

import net.minecraft.world.level.BlockGetter;
import net.minecraft.network.chat.Component;
import java.util.List;
import javax.annotation.Nullable;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;

public class AirItem extends Item {
    private final Block block;
    
    public AirItem(final Block bph, final Properties a) {
        super(a);
        this.block = bph;
    }
    
    @Override
    public String getDescriptionId() {
        return this.block.getDescriptionId();
    }
    
    @Override
    public void appendHoverText(final ItemStack ben, @Nullable final Level bjw, final List<Component> list, final TooltipFlag bfw) {
        super.appendHoverText(ben, bjw, list, bfw);
        this.block.appendHoverText(ben, bjw, list, bfw);
    }
}
