package net.minecraft.world.item;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.Level;

public class BowlFoodItem extends Item {
    public BowlFoodItem(final Properties a) {
        super(a);
    }
    
    @Override
    public ItemStack finishUsingItem(final ItemStack ben, final Level bjw, final LivingEntity akz) {
        final ItemStack ben2 = super.finishUsingItem(ben, bjw, akz);
        if (akz instanceof Player && ((Player)akz).abilities.instabuild) {
            return ben2;
        }
        return new ItemStack(Items.BOWL);
    }
}
