package net.minecraft.world.item;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class DoubleHighBlockItem extends BlockItem {
    public DoubleHighBlockItem(final Block bph, final Properties a) {
        super(bph, a);
    }
    
    @Override
    protected boolean placeBlock(final BlockPlaceContext bcq, final BlockState byj) {
        bcq.getLevel().setBlock(bcq.getClickedPos().above(), Blocks.AIR.defaultBlockState(), 27);
        return super.placeBlock(bcq, byj);
    }
}
