package net.minecraft.world.level.block;

import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.BlockState;

public class HalfTransparentBlock extends Block {
    protected HalfTransparentBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public boolean skipRendering(final BlockState byj1, final BlockState byj2, final Direction fp) {
        return byj2.getBlock() == this || super.skipRendering(byj1, byj2, fp);
    }
}
