package net.minecraft.world.level.levelgen.feature.configurations;

import com.mojang.datafixers.Dynamic;
import com.mojang.datafixers.types.DynamicOps;

public class NoneDecoratorConfiguration implements DecoratorConfiguration {
    @Override
    public <T> Dynamic<T> serialize(final DynamicOps<T> dynamicOps) {
        return (Dynamic<T>)new Dynamic((DynamicOps)dynamicOps, dynamicOps.emptyMap());
    }
    
    public static NoneDecoratorConfiguration deserialize(final Dynamic<?> dynamic) {
        return new NoneDecoratorConfiguration();
    }
}
