package net.minecraft.world.level.levelgen.feature.stateproviders;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import java.util.Random;
import net.minecraft.util.Serializable;

public abstract class BlockStateProvider implements Serializable {
    protected final BlockStateProviderType<?> type;
    
    protected BlockStateProvider(final BlockStateProviderType<?> chx) {
        this.type = chx;
    }
    
    public abstract BlockState getState(final Random random, final BlockPos fk);
}
